Bug 426450 - selinux prevents btmp records from being written by default
selinux prevents btmp records from being written by default
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 22:50 EST by Máirín Duffy
Modified: 2007-12-26 11:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-26 11:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-12-20 22:50:22 EST
Description of problem:

tried to run /sbin/lastb to investigate a compromised system, and it seems it
was blank. got an selinux alert that SELinux is preventing /usr/sbin/sshd
(sshd_t) "append" to (var_log_t)

raw audit message:

avc: denied {append } for comm=sshd dev=dm-0 egid=0 euid=0 exe=/usr/bin/ssd
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=btmp pid=13037
scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 sgid=0
subj=system_u;system_r:sshd_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=unconfined_u:object_r:var_log_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-12-21 02:19:05 EST
restorecon -R -v /var/log/btmp

Should fix.  Any idea how this got mislabeled?

Note You need to log in before you can comment on or make changes to this bug.